#ifndef _TYPES 
#define _TYPES 
 
/* The idea here is that we define certain types that are guarenteed 
 * to be identical across platforms and architectures.  Also, a few  
 * extra types, such as String, are defined for clarity: 
 * 
 *      Int:     32 bit integer 
 *      UInt:    32 unsigned integer 
 *      Short:   16 bit integer 
 *      UShort:  16 bit unsigned integer 
 *      Float:   single precision floating point 
 *      Double:  double precision floating point 
 *      Byte:    one byte, unsigned 
 *      Char:    a character 
 *      String:  a pointer to an array of characters 
 */ 
 
#ifdef DOS 
typedef long int Int; 
typedef unsigned long int UInt; 
typedef short int Short; 
typedef unsigned short int UShort; 
typedef float Float; 
typedef double Double; 
typedef unsigned char Byte; 
typedef char Char; 
typedef char *String;  
#elif (SUN_GCC || DOS_GCC || LINUX_GCC || DEC_GCC) 
typedef int Int; 
typedef unsigned int UInt; 
typedef short int Short; 
typedef unsigned short int UShort; 
typedef float Float; 
typedef double Double; 
typedef unsigned char Byte; 
typedef char Char; 
typedef char *String;  
#endif 
 
 
#endif 
